LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XComplexColor Interface Reference

Complex color interface. More...

`import <XComplexColor.idl;`

## Public Member Functions
long | getType ()
| Type of the color.
long | getThemeColorType ()
| Type of the theme color.
Color | resolveColor ([in] com::sun::star::util::XTheme xTheme)
| resolve the color

## Detailed Description

Complex color interface.

Since
  LibreOffice 7.6

## Member Function Documentation

## ◆ getThemeColorType()

long getThemeColorType | ( |  | ) |

Type of the theme color.

## ◆ getType()

long getType | ( |  | ) |

Type of the color.

## ◆ resolveColor()

Color resolveColor | ( | [in] com::sun::star::util::XTheme | xTheme | ) |

resolve the color

The documentation for this interface was generated from the following file:

- com/sun/star/util/XComplexColor.idl